#!/bin/bash
#SBATCH --job-name=busco-5.8.0-case
#SBATCH --partition=batch
#SBATCH --nodes=1
#SBATCH --ntasks=8
#SBATCH --time=10:00

module load gcc/13.2.0-iqpfkya openmpi/5.0.3-rhzbeym busco/5.8.0

busco -i <input.fasta> -o <output> -m <mode> -c $SLURM_NTASKS --auto-lineage

# The following command will run BUSCO on the input.fasta file using the specified lineage and mode, with the number of tasks specified by the SLURM_NTASKS environment variable.
# The output will be written to the specified output directory as specified by the -o option.
# Available lineages can be found by running 'busco --list-datasets'.
# Busco can also automatically select the lineage based on the input file if the '-l' option is omitted and the --auto-lineage command line argument is used.
# Be aware that the auto-lineage option may not always select the correct lineage and will download all available lineages to check for the best match.
# Available modes are 'genome', 'transcriptome', 'proteins'.
